%define name gkII
%define version 0.4.7
%define release %mkrel 1

Summary: A Mandelbrot and Julia set image generator
Name: %{name}
Version: %{version}
Release: %{release}
Group: Graphics
URL: http://www.jwm-art.net/gkII/
Source0: http://www.jwm-art.net/gkII/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPLv2
BuildRequires: gtk2-devel
BuildRequires: libpng-devel
BuildRequires: zlib-devel
BuildRequires: pkgconfig
Requires: glibc >= 2.10.1
Requires: libstdc++6 >= 4.4.1
Obsoletes: %name < %version


%description
gkII is a Mandelbrot and Julia set image generator, derived from Osku Salerma's Gfract. 
It features unlimited image size, anti-aliasing, and methods to mangle the Mandelbrot 
and Julia sets. It also features palette interpolation with the ability to scale the 
palettes (fractint style palette files). Autolayer settings with rampage of pertubation 
and bailout values. Parameter save and load. Random colour palette generation/adjustment. 
Plus other features.


%prep
%setup -q 


%build
cd ./src
%make

%install
rm -rf %buildroot
mkdir -p %buildroot%_bindir
install -m 755 src/%{name} %buildroot%_bindir

# menu-entry
mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=GKII
Comment=A Mandelbrot and Julia set image generator
Exec=%{name}
Icon=/usr/share/icons/large/graphics_section.png
Terminal=false 
Type=Application
StartupNotify=true
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics;
EOF


%clean
rm -rf %buildroot


%post
%{update_menus}


%postun
%{clean_menus}



%files 
%defattr(-,root,root)
%doc BUGS CHANGES KEYS LICENSE README TODO
%_bindir/%{name}
%_datadir/applications/%{name}.desktop

%changelog
* Sun Dec 27 2009 slick50 <lxgator@gmail.com> 0.4.7-1pclos2010
- initial pkg

